### Function

# Gimp text_layer_get_hint_style

#### Declaration [src]

    GimpTextHintStyle
    gimp_text_layer_get_hint_style (
      GimpLayer* layer
    )

#### Description [src]

Get information about hinting in the specified text layer.

This procedure provides information about the hinting that is being used in a text layer. Hinting can be optimized for fidelity or contrast or it can be turned entirely off.

Available since: | 2.8

#### Parameters

`layer` | `GimpLayer`
| The text layer.
| The data is owned by the caller of the function.

#### Return value

Returns: | `GimpTextHintStyle`
| The hint style used for font outlines.